{
    "name"             : "shiros/luna-skeleton",
    "description"      : "Luna PHP Framework Skeleton",
    "keywords"         : [
        "Framework",
        "ShirOS",
        "Luna",
        "Skeleton"
    ],
    "type"             : "project",
    "license"          : "MIT",
    "minimum-stability": "dev",
    "prefer-stable"    : true,
    "authors"          : [
        {
            "name" : "Alexandre Caillot (Shiroe_sama)",
            "email": "shiroes45@gmail.com"
        }
    ],
    "require"          : {
        "php"        : ">=8.2",
        "shiros/luna": "^4.5"
    },
    "require-dev"      : {
        "composer/composer": "^2.8",
        "phpunit/phpunit"  : "^9.5"
    },
    "autoload"         : {
        "psr-4": {
            "App\\": "src/"
        }
    },
    "scripts"          : {
        "post-install-cmd": [
            "luna-cmd post-install-cmd"
        ],
        "post-update-cmd": [
            "luna-cmd post-update-cmd"
        ],
        "pre-package-uninstall": [
            "Luna\\Component\\Composer\\LunaComposer::prePackageUninstall"
        ]
    }
}
